WMTS time dimension does not work
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19587

Description

I'm trying to display the MODIS satellite images from the GIBS image server (

https://earthdata.nasa.gov/about-eosdis/science-system-description/eosdis-components/global-imagery-browse-services-gibs)

1) I select "Add WMS / WMTS layer" 

2) I select "New" and add the server URL: http://map1.vis.earthdata.nasa.gov/wmts-geo/wmts.cgi?

3) I select the layer MODIS_Aqua_CorrectedReflectance_TrueColor

4) A Window "Select dimensions" appears with columns Dimension, Value, Abstract, Default and Value. The Value should show a

drop-down of dates. But it doesn't show it. There's only one choice "2012-05-08/2014-09-29/P1D" and I can't select the date in the drop

down.

5) When I click OK, nothing shows up on the map because the time dimension hasn't been set properly.

Please see the attachment. I think the drop-down should show a list of dates between 2012-05-08 and 2014-09-29.

History

#1 - 2014-10-10 07:32 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Category set to Web Services clients/WMS

- Target version set to Future Release - Nice to have

#2 - 2017-03-29 09:42 AM - Matthew Cechini

How do we discuss getting this onto the roadmap for QGIS?  The NASA GIBS system referenced has nearly 400 imagery layers available via WMTS

access.  However, they are essentially unusable within QGIS because of this issue with the time dimension.  The GetCapabilities document identifies the

'time' dimension in compliance with Annex C of the WMS 1.3.0 specification, specifically using the "min/max/resolution" nomenclature.  At a minimum, it

would be nice to be able to edit the date per layer and to have that correctly provided within the WMTS request.  As a stretch goal, it would be nice to be

able to enter that date somewhere within the QGIS interface such that it could be applied to multiple layers at the same time.

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
